<template>
  <ThemeCommonMobileMainPageWrapper back-to="/profile" :title="$t('wallet')">
    <div class="px-2 py-4 wallet-page">
      <div class="flex items-center mb-2">
        <h4 class="section-title mr-1">{{ $t("balance") }}</h4>
        <button class="tc-2" @click="getMultiWallets">
          <IconReload :class="{ 'animate-spin': isLoading }" class="w-4 h-4" />
        </button>
        <div class="w-full"></div>
        <div
          v-if="
            isCashPlayer && !depositWithdrawalProperty.IsHidden && !allowTheme
          "
          class="flex items-center justify-center"
        >
          <el-button
            type="primary"
            plain
            round
            size="small"
            @click="goToDeposit"
            ><svg-icon :svg-name="'icon-deposit'" />{{
              $t("deposit")
            }}</el-button
          >
        </div>
      </div>
      <div
        v-for="(wallet, index) in wallets"
        :key="index"
        class="border-2 border-color rounded-lg bg-[rgba(0,0,0,0.1)]"
      >
        <div class="p-4 fc-primary border-b-2 border-color">
          <h2 class="wallet-name">
            {{ wallet.getWalletNameForDisplay() }}
          </h2>
          <div
            v-if="wallet.Category !== 0"
            class="text-xs fc-text4 opacity-50 flex gap-2"
          >
            <div class="min-w-fit">{{ $t("Provider Limit") }}:</div>
            <div>{{ wallet.getProviderNameForDisplay() }}</div>
          </div>
        </div>
        <div class="px-4 py-3">
          <div class="flex justify-between items-center pb-2">
            <div class="fc-secondary">{{ $t("Cash Balance") }}</div>
            <div class="fc-text4">{{ wallet.getBetCreditForDisplay() }}</div>
          </div>
          <div class="flex justify-between items-center pb-2">
            <div class="fc-secondary">{{ $t("Outstanding") }}</div>
            <div class="fc-text4">{{ wallet.getOutstandingForDisplay() }}</div>
          </div>
          <div class="flex justify-between items-center pb-2">
            <div class="fc-secondary">{{ $t("Total Balance") }}</div>
            <div class="fc-text4">{{ wallet.getTotalBalanceForDisplay() }}</div>
          </div>
          <div v-if="wallet.Category !== 0" class="flex flex-col">
            <div class="fc-secondary pb-2">{{ $t("Turnover Progress") }}</div>
            <div class="fc-text4">
              <el-progress
                :text-inside="true"
                :stroke-width="24"
                :percentage="wallet.getTurnoverProgressForDisplay()"
              >
                <div class="flex items-center">
                  {{ wallet.getTurnoverProgressForDisplay().toFixed(2) }} %
                </div>
              </el-progress>
            </div>
          </div>
        </div>
      </div>
      <div
        v-if="isCashPlayer && !depositWithdrawalProperty.IsHidden && allowTheme"
        class="flex items-center justify-center mt-2"
      >
        <el-button
          type="primary"
          class="!py-3 !h-auto !px-5"
          plain
          round
          @click="goToDeposit"
        >
          <IconDeposit class="!w-4 !h-4 !mr-1" />
          {{ $t("deposit") }}
        </el-button>
      </div>
    </div>
  </ThemeCommonMobileMainPageWrapper>
</template>

<script setup lang="ts">
import { computed } from "vue";
import { store } from "@/store";
import IconReload from "~/assets/icons/reload.svg?component";
import IconDeposit from "~/assets/icons/deposit.svg?component";

const { goToDeposit, depositWithdrawalProperty, isCashPlayer } = useWallet();
const { wallets, isLoading, getMultiWallets } = useBalanceInfo();
const arrayTheme = ["main", "black", "sbo", "global", "playful"];
const allowTheme = computed(() =>
  arrayTheme.includes(store.state.selectedThemeName)
);
</script>

<style lang="scss" scoped>
.wallet-name {
  font-family: Roboto;
  font-size: 12px;
  font-weight: 500;
  line-height: 14.06px;
  text-align: left;
  color: var(--primary);
}

:deep(.el-button.el-button--primary) {
  & > span {
    font-family: Roboto;
    font-size: 14px;
    font-weight: 500;
    line-height: 16.41px;
    text-align: left;
    color: var(--textBtn);

    svg {
      fill: currentColor;
      stroke: unset;
    }
  }
}
</style>
